> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of order statuses in the WineDirect interface system



## OpenAPI

````yaml /openapi.json get /api/v1/Orders/OrderInterfaceStatuses
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Orders/OrderInterfaceStatuses:
    get:
      tags:
        - Orders
      summary: Gets a list of order statuses in the WineDirect interface system
      parameters:
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range  \r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range.  \r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: batchId
          in: query
          description: >-
            The Order import batch ID . This is defined by the customer and can
            be any text string
          schema:
            minLength: 2
            type: string
      responses:
        '200':
          description: Returns the list of order statuses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderInInterfaceIEnumerableServiceResult'
components:
  schemas:
    OrderInInterfaceIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/OrderInInterface'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    OrderInInterface:
      type: object
      properties:
        accountNumber:
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          nullable: true
        customerName:
          type: string
          description: The name of the customer who owns this order
          nullable: true
        batchId:
          type: string
          description: The Batch Id of the imported Orders
          nullable: true
        orderNumber:
          type: string
          description: The Order Id
          nullable: true
        orderTypeCode:
          type: string
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          nullable: true
        creationDate:
          type: string
          description: Date of creation
          format: date-time
          nullable: true
        processStatusCode:
          type: string
          description: The status of the process (Code)
          nullable: true
        processStatusName:
          type: string
          description: The status of the process
          nullable: true
        processMessage:
          type: string
          description: Messages about the process
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````